> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les prédictions

> Lister les prédictions.



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json get /v2/{entity}/{project}/predictions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/predictions:
    get:
      tags:
        - Predictions
      summary: Lister les prédictions
      description: Lister les prédictions.
      operationId: prediction_list_v2__entity___project__predictions_get
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - description: Filtrer par ID de run d’évaluation
          in: query
          name: evaluation_run_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filtrer par ID du run d’évaluation
            title: Evaluation Run Id
        - description: Nombre maximal de prédictions à renvoyer
          in: query
          name: limit
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Nombre maximal de prédictions à renvoyer
            title: Limit
        - description: Nombre de prédictions à ignorer
          in: query
          name: offset
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Nombre de prédictions à ignorer
            title: Offset
      responses:
        '200':
          content:
            application/jsonl:
              schema:
                items:
                  $ref: '#/components/schemas/PredictionReadRes'
                type: array
          description: Flux de données au format JSONL
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PredictionReadRes:
      properties:
        evaluation_run_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID de run d’évaluation si cette prédiction y est liée
          title: Evaluation Run Id
        inputs:
          additionalProperties: true
          description: Les entrées de la prédiction
          title: Inputs
          type: object
        model:
          description: La référence du modèle (URI weave://)
          title: Model
          type: string
        output:
          description: La sortie de la prédiction
          title: Output
        prediction_id:
          description: L’ID de la prédiction
          title: Prediction Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Ne définissez pas ce champ directement. Le serveur le renseignera
            automatiquement.
          title: Wb User Id
      required:
        - prediction_id
        - model
        - inputs
        - output
      title: PredictionReadRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````